﻿//RemovePathOperationsFromLayoutMenu.jsx
//An InDesign JavaScript by SPI
//
//Removes the Paths menu (created by the AddPathOperationsToLayoutMenu.jsx script) from the Layout Context menu.
//
//by Olav Martin Kvern
//Distributed by Silicon Publishing, Inc.
//
//Our web site says, "Silicon Publishing, Inc. provides electronic publishing solutions and customizations 
//that automate the distribution of information between multiple sources and destinations." But what does
//that really mean? We make custom software for publishing. Some of it is for intense, data-driven, high-
//volume applications--think: directories, catalogs, and customized itineraries. Some of it is for web-to-print 
//or print-to-web applications--think: business cards, flyers, brochures, data sheets. Some of it is none of the 
//above. Use your imagination--if there's some chance that we can make your work easier, drop us a line! 
//sales@siliconpublishing.com
//
//Make sure that user interaction is turned on.
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.INTERACT_WITH_ALL;
main();
function main(){
	//The locale-independent name (aka "key string") for the 
	//Layout context menu is "$ID/RtMouseLayout".
	var layoutContextMenu = app.menus.item("$ID/RtMouseLayout");
	if(layoutContextMenu.submenus.itemByName("Path").isValid){
		layoutContextMenu.submenus.itemByName("Path").remove();
	}
}
