﻿//RestoreSelection.jsx
//
//Restores a selection saved using the SaveSelection.jsx script.
//
//by Olav Martin Kvern
//Distributed by Silicon Publishing, Inc.
//
//Our web site says, "Silicon Publishing, Inc. provides electronic publishing solutions and customizations 
//that automate the distribution of information between multiple sources and destinations." But what does
//that really mean? We make custom software for publishing. Some of it is for intense, data-driven, high-
//volume applications--think: directories, catalogs, and customized itineraries. Some of it is for web-to-print 
//or print-to-web applications--think: business cards, flyers, brochures, data sheets. Some of it is none of the 
//above. Use your imagination--if there's some chance that we can make your work easier, drop us a line! 
//sales@siliconpublishing.com
//
//Make sure that user interaction is turned on.
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.INTERACT_WITH_ALL;
main();
function main(){
	if (app.documents.length != 0){
		displayDialog();
	}
	else{
 	   alert ("Please open a document and try again.");
	}
}
function displayDialog(){
	var selectionNameField;
	var dialog = app.dialogs.add({name:"Restore Selection"});
	var savedSelections = app.documents.item(0).extractLabel("savedSelections");
	if(savedSelections == ""){
		return;
	}
	savedSelections = savedSelections.split(",");
	with(dialog.dialogColumns.add()){
		with(dialogRows.add()){
			with(dialogColumns.add()){
				staticTexts.add({staticLabel:"Saved Selections:"});
			}
			with(dialogColumns.add()){
				var dropdown = dropdowns.add({stringList:savedSelections, selectedIndex:0});
			}
		}
		with(dialogRows.add()){
			var zoomToSelectionCheckbox = checkboxControls.add({staticLabel:"Zoom to selection", checkedState:false});
		}
	}
	var result = dialog.show();
	if(result == true){
		var selectionName = savedSelections[dropdown.selectedIndex];
		var zoomToSelection = zoomToSelectionCheckbox.checkedState;
		dialog.destroy();
		restoreSelection(selectionName, zoomToSelection);
	}
	else{
		dialog.destroy();
	}
}
function restoreSelection(selectionName, zoomToSelection){
	var pageItem;
	var idList = app.documents.item(0).extractLabel(selectionName);
	if(idList != ""){
		var objectList = new Array;
		idList = idList.split(",");
		for(var counter = 0; counter < idList.length; counter++){
			pageItem = app.documents.item(0).pageItems.itemByID(Number(idList[counter]));
			if(pageItem.isValid == true){
				objectList.push(pageItem);
			}
		}
		if(objectList.length > 0){
			try{
				app.documents.item(0).select(objectList);
				if(zoomToSelection == true){
					app.activeWindow.zoomPercentage = 200;
				}
			}
			catch(error){
				alert("Could not complete the selection. Have the objects moved to other pages or been locked?");
			}
		}
		else{
			alert("Sorry, none of the saved IDs match existing page items.");
		}
	}
}
